const API = {

    source: 'MOBILEAPI',
    secondAuthType: 'TOTP',
    loginType: 'PASSWORD',

    session: '/authentication/v1/user/session',
    balance: '/authentication/v1/user/balance',

    placeOrder: '/transactional/v1/orders/regular',
    modifyOrders: '/transactional/v1/orders/regular/{exchange}/{order_id}',

    coverOrder: '/transactional/v1/orders/cover',
    modifyCoverOrder: '/transactional/v1/orders/cover/{exchange}/{order_id}',

    bracketOrder: '/transactional/v1/orders/bracket',
    modifyBracketOrder: '/transactional/v1/orders/bracket/{exchange}/{order_id}',

    placeMultilegOrder: '/transactional/v1/orders/multileg',
    cancelMultilegOrder: '/transactional/v1/orders/multileg/{order_flag}/{gateway_order_no}',

    orders: '/transactional/v1/orders',
    trades: '/transactional/v1/trades',
    orderHistory: '/transactional/v1/orders/{order_id}',

    positions: '/transactional/v1/portfolio/positions/{type}',
    positionConvertion: '/transactional/v1/portfolio/positions',
    holdings: '/transactional/v1/portfolio/holdings',
}

module.exports = API;