export let SCK_STATUS_UNAVAILABLE: number;
export let SCK_STATUS_CONNECTING: number;
export let SCK_STATUS_FAILED: number;
export let SCK_STATUS_CLOSED: number;
export let SCK_STATUS_CONNECTED: number;
export let SCK_STATUS_RECONNECT_EXHAUST: number;
export let SCK_STATUS_RECONNECTING: number;
export let SCK_STATUS_ERROR: number;
export let SCK_STATUS_INVALID_CRED: number;
export let EVT_SCK_CONNECTED: string;
export let EVT_SCK_OPEN: string;
export let EVT_SCK_DISCONNECTED: string;
export let EVT_SCK_CONNECT_FAILED: string;
export let EVT_SCK_LOGIN: string;
export let EVT_SCK_MKTDEPTH: string;
export let EVT_SCK_BESTFIVE: string;
export let EVT_SCK_TOUCHLINE: string;
export let EVT_SCK_ERROR: string;
export let EVT_SCK_CLOSE: string;
export let C_S_CHAR0: string;
export let C_S_CHAR2: string;
export let C_S_FIELD_DELIMITER: string;
export let C_S_NAMEVALUE_DELIMITER: string;
export let C_S_RECORD_DELIMITER: string;
export let C_S_COMMA_DELIMITER: string;
export let C_S_MULTIRESP_DELIMITER: string;
export let C_S_TAG_COMMPROTOCOL: string;
export let C_V_MSGCODES_LOGINREQUEST: number;
export let C_V_MSGCODES_LOGONRESPONSE: number;
export let C_V_MSGCODES_MARKETWATCH_RESPONSE: number;
export let C_V_MSGCODES_KEEPALIVE_REQUEST: number;
export let C_S_MSGCODE_BESTFIVE_REQUEST: string;
export let C_S_MSGCODE_BESTFIVE_RESPONSE: string;
export let C_S_MSGCODE_MULTIPLE_TOUCHLINE_REQUEST: string;
export let C_V_TAG_IWINLOGONTAG: number;
export let C_V_TAG_TENANTID: number;
export let C_V_TAG_PWD_TYPE: number;
export let C_S_ENCYP_TYPE_TOKEN: number;
export let C_S_ENCYP_TYPE_PWD: number;
export let C_S_CONNECTIONTYPE: string;
export let C_S_NETNETLOGONTAG: string;
export let C_S_TAG_MKTSEGID: string;
export let C_S_TAG_BUYQTY: string;
export let C_S_TAG_BUYPRICE: string;
export let C_S_TAG_SESSIONID: string;
export let C_S_TAG_SELLQTY: string;
export let C_S_TAG_SELLPRICE: string;
export let C_S_TAG_SCRIPTOKEN: string;
export let C_S_TAG_LTP: string;
export let C_S_TAG_LTQ: string;
export let C_S_TAG_ORIGQTY: string;
export let C_S_TAG_DISCLOSEDQTY: string;
export let C_S_TAG_ORDPRICE: string;
export let C_S_TAG_TRIGPRICE: string;
export let C_S_TAG_VALIDITY: string;
export let C_S_TAG_ORDEXCHORDERNO: string;
export let C_S_TAG_INDEXTYPE: string;
export let C_S_TAG_INDEXVALUE: string;
export let C_S_TAG_SYMBOL: string;
export let C_S_TAG_SERIES: string;
export let C_S_TAG_EXPIRYDATE: string;
export let C_S_TAG_STRIKEPRICE: string;
export let C_S_TAG_OPTIONTYPE: string;
export let C_S_TAG_NOOFRECORDS: string;
export let C_S_TAG_BEST5NOOFORDERS: string;
export let C_S_TAG_MARKETTYPE: string;
export let C_S_TAG_NEWS_COL: string;
export let C_S_TAG_CLOSING_INDEX_VALUE: string;
export let C_S_TAG_INSTRUMENTID: string;
export let C_S_TAG_MARKETLOT: string;
export let C_S_TAG_PRICETICK: string;
export let C_S_TAG_CUMULATIVEOI: string;
export let C_S_TAG_CONNECTION_TYPE: string;
export let C_S_TAG_NETCHANGEFROMPREVCLOSE: string;
export let C_S_TAG_MSGVERSION: string;
export let C_S_TAG_MSGCODE: string;
export let C_S_TAG_MSGLENGTH: string;
export let C_S_TAG_MSGTIME: string;
export let C_S_TAG_USERID: string;
export let C_S_TAG_PWD: string;
export let C_S_TAG_AUTHCODE: string;
export let C_S_TAG_ORDERTYPE: string;
export let C_S_TAG_LTT: string;
export let C_S_TAG_LUT: string;
export let C_S_TAG_OPENPRICE: string;
export let C_S_TAG_CLOSEPRICE: string;
export let C_S_TAG_HIGHPRICE: string;
export let C_S_TAG_LOWPRICE: string;
export let C_S_TAG_VOLUME: string;
export let C_S_TAG_ATP: string;
export let C_S_TAG_TOTBUYQTY: string;
export let C_S_TAG_TOTSELLQTY: string;
export let C_S_TAG_FLAG: string;
export let C_S_TAG_CHANGEINDICATOR: string;
export let C_S_TAG_OPENINTEREST: string;
export let C_S_TAG_PREVCLOSEPRICE: string;
export let C_S_TAG_LIFETIMEHIGH: string;
export let C_S_TAG_LIFETIMELOW: string;
export let C_S_TAG_BCASTREQTYPE: string;
export let C_S_TAG_SECURITYDESCRIPTION: string;
export let C_S_TAG_PERCENTAGECHANGE: string;
export let C_S_TAG_INDEXNAME: string;
export let C_S_TAG_MKTCAPITALIZATION: string;
export let C_S_TAG_OPERATIONTYPE: string;
export let C_S_TAG_MINVALUE: string;
export let C_S_TAG_MAXVALUE: string;
export let C_S_TAG_ALERT_SUBJECT: string;
export let C_S_TAG_PRODUCTTYPE: string;
export let C_S_TAG_DPR: string;
export let C_S_TAG_NETCHANGEINRS: string;
export let C_S_TAG_IPADDRESS: string;
export let C_S_TAG_GROUPID: string;
export let C_S_TAG_USERCODE: string;
export let C_S_TAG_DECIMALLOCATOR: string;
export let C_S_POSINDICATOR: string;
export let C_S_TAG_ALERTERRORCODE: string;
export let C_S_TAG_AUCTIONSESSIONNO: string;
export let C_S_TAG_SPOSFLAG: string;
export let C_S_TAG_MARGINPLUSPROTPERC: string;
export let C_S_TAG_GLOBALSCRIP: string;
export let C_S_TAG_SPREAD: string;
export let C_S_TAG_FIILIMIT: string;
export let C_S_TAG_NRILIMIT: string;
export let C_S_TAG_ISSPREADSCRIP: string;
export let C_S_TAG_FIRST_LEGPRICE: string;
export let C_S_TAG_SECOND_LEGPRICE: string;
export let C_V_ALERTERRORCODEVALUE: string;
export let C_S_TAG_IMPLIEDVOLATILITY: string;
export let C_S_TAG_BUYVOLATILITY: string;
export let C_S_TAG_SELLVOLATILITY: string;
export let C_S_TAG_THEORETICALPRICE: string;
export let C_S_TAG_DELTA: string;
export let C_S_TAG_GAMMA: string;
export let C_S_TAG_THETA: string;
export let C_S_TAG_VEGA: string;
export let C_S_TAG_RHO: string;
export let C_S_TAG_INTHEMONEY: string;
export let C_S_TAG_PERC_OPENINTEREST: string;
export let C_S_TAG_HIGH_OPENINTEREST: string;
export let C_S_TAG_LOW_OPENINTEREST: string;
export let C_V_TAG_LV_VALUE: string;
export let C_S_TAG_FAIR_VALUE: string;
export let C_V_TAG_OPENINTEREST: number;
export let C_S_TAG_MWSCRIPDESC: string;
export let C_S_TAG_Collapse: string;
export let C_S_TAG_ALERTREMARK: string;
export let C_S_TAG_POS: string;
export let C_S_TAG_RECOMMENDATION_COL: string;
export let C_S_TAG_TRADE_EXECUTION_RANGE: string;
export let C_S_TAG_TRADE_EXECUTION_RANGE_RESPONSE: string;
export let C_V_MSGCODES_MARKETSTATUS_REPONSE: string;
export let C_S_MSGCODE_MULTIPLE_TOUCHLINE_RESPONSE: string;
export let C_S_MSGCODE_SOCKETLOGINREQUEST: string;
export let C_S_MSGCODE_SOCKETLOGONRESPONSE: string;
export let C_S_MSGCODE_LOGOFF_RESPONSE: string;
export let C_S_MSGCODE_INDEX_SUBSCRIPTION_REQUEST: string;
export let C_S_MSGCODE_MORE_INDICES_REQUEST: string;
export let C_S_MSGCODE_INDEX_SUBSCRIPTION_RESPONSE: string;
export let C_S_MSGCODE_INDEX_DETAILS_REQUEST: string;
export let C_S_MSGCODE_INDEX_DETAILS_RESPONSE: string;
export let C_S_MSGCODE_TOPGAINERSLOSERS_RESPONSE: string;
export let C_S_MSGCODE_MOSTACTIVE_REQUEST: string;
export let C_S_MSGCODE_MOSTACTIVE_RESPONSE: string;
export let C_V_MSGCODES_ORDERENTRYMODIFYCANCEL_REQUEST: string;
export let C_V_MSGCODES_ORDER_RESPONSE: string;
export let C_V_MSGCODES_ORDER_ACKNOWLEDGEMENT: string;
export let C_V_MSGCODES_TRADE_RESPONSE: string;
export let C_V_MSGCODES_TRADE_RESPONSE_TRADEBOOK: string;
export let C_V_MSGCODES_SLTRIGGER_RESPONSE: string;
export let C_V_MSGCODES_POSITION_CONVERSION_ENTRY: string;
export let C_V_MSGCODES_POSITION_CONVERSION_REQUEST: string;
export let C_V_MSGCODES_POSITION_CONVERSION_RESPONSE: string;
export let C_V_MSGCODES_POSITION_CONVERSION_ACK: string;
export let C_V_MSGCODES_AUCTIONSTATUS_REPONSE: string;
export let C_V_MSGCODES_ADMINMESSAGE: string;
export let C_S_MSGCODES_NEWS_RESPONSE: string;
export let C_V_MSGCODES_BRACKETORDER_ORDER_REQUEST: string;
export let C_V_MSGCODES_BRACKETORDER_ORDER_RESPONSE: string;
export let C_V_MSGCODES_BRACKETORDER_ORDER_ACKNOWLEDGEMENT: string;
export let C_V_MSGCODES_SSO_TOKEN_NOT_FOUND: string;
export let C_S_MSGCODE_LTP_MULTIPLE_TOUCHLINE_REQUEST: string;
export let C_S_MSGCODE_LTP_MULTIPLE_TOUCHLINE_RESPONSE: string;
export let C_S_MSGCODE_PAUSERESUME_REQUEST: string;
export let C_S_MSGCODE_MTL_MULTIPLE_TOUCHLINE_RESPONSE: string;
export let C_S_MSGCODE_APP_HEARTBEAT_REQUEST: string;
export let C_S_MSGCODE_APP_HEARTBEAT_RESPONSE: string;
export let C_S_MSGCODE_APP_HEARTBEAT_REQUESTID: string;
export let C_S_MSGCAT_ACK: string;
export let C_V_MAPPED_NSE_CASH: number;
export let C_V_MAPPED_NSE_DERIVATIVES: number;
export let C_V_MAPPED_BSE_DERIVATIVES: number;
export let C_V_MAPPED_BSE_CASH: number;
export let C_V_MAPPED_MCX_DERIVATIVES: number;
export let C_V_MAPPED_MCX_SPOT: number;
export let C_V_MAPPED_NCDEX_DERIVATIVES: number;
export let C_V_MAPPED_NCDEX_SPOT: number;
export let C_V_MAPPED_NSEL_DERIVATIVES: number;
export let C_V_MAPPED_NSEL_SPOT: number;
export let C_V_MAPPED_MSX_DERIVATIVES: number;
export let C_V_MAPPED_MSX_SPOT: number;
export let C_V_MAPPED_MSX_CASH: number;
export let C_V_MAPPED_MSX_FAO: number;
export let C_V_MAPPED_DSE_CASH: number;
export let C_V_MAPPED_NMCE_DERIVATIVES: number;
export let C_V_MAPPED_BSECOMM_DERIVATIVES: number;
export let C_V_MAPPED_DFM_CASH: number;
export let C_V_MAPPED_ADX_CASH: number;
export let C_V_MAPPED_NSX_DERIVATIVES: number;
export let C_V_MAPPED_NSX_SPOT: number;
export let C_V_MAPPED_BSECDX_DERIVATIVES: number;
export let C_V_MAPPED_BSECDX_SPOT: number;
export let C_V_MAPPED_UCX_DERIVATIVES: number;
export let C_V_MAPPED_NSECOMM_DERIVATIVES: number;
export let C_V_MAPPED_UCX_SPOT: number;
export let C_V_MAPPED_DGCX_DERIVATIVES: number;
export let C_V_MAPPED_DGCX_SPOT: number;
export let C_V_MAPPED_BFX_DERIVATIVES: number;
export let C_V_MAPPED_BFX_SPOT: number;
export let C_V_MAPPED_OFS_IPO_BONDS: number;
export let C_V_MAPPED_GBOT_DERIVATIVES: number;
export let C_V_MAPPED_GBOT_SPOT: number;
export let C_V_MAPPED_COMBINED_CASH: number;
export let C_V_MAPPED_COMBINED_FNO: number;
export let C_V_MAPPED_COMBINED_CDS: number;
export let C_V_MAPPED_ICEX_DERIVATIVES: number;
export let C_V_NSE_CASH: number;
export let C_V_NSE_DERIVATIVES: number;
export let C_V_BSE_CASH: number;
export let C_V_BSE_DERIVATIVES: number;
export let C_V_MCX_DERIVATIVES: number;
export let C_V_MCX_SPOT: number;
export let C_V_NCDEX_DERIVATIVES: number;
export let C_V_NCDEX_SPOT: number;
export let C_V_NSEL_DERIVATIVES: number;
export let C_V_NSEL_SPOT: number;
export let C_V_MSX_DERIVATIVES: number;
export let C_V_MSX_SPOT: number;
export let C_V_MSX_CASH: number;
export let C_V_MSX_FAO: number;
export let C_V_DSE_CASH: number;
export let C_V_NMCE_DERIVATIVES: number;
export let C_V_UCX_DERIVATIVES: number;
export let C_V_UCX_SPOT: number;
export let C_V_DGCX_DERIVATIVES: number;
export let C_V_DGCX_SPOT: number;
export let C_V_BFX_DERIVATIVES: number;
export let C_V_BFX_SPOT: number;
export let C_V_GBOT_DERIVATIVES: number;
export let C_V_OFS_IPO_BONDS: number;
export let C_V_DFM_CASH: number;
export let C_V_ADX_CASH: number;
export let C_V_MSX_FIM: number;
export let C_V_NMCE_DERVIVATIVES: number;
export let C_V_NSE_DEBT: number;
export let C_V_NSE_SPOS: number;
export let C_V_BSE_PCA: number;
export let C_V_MSX_SPOS: number;
export let C_V_BSECOMM_DERIVATIVES: number;
export let C_V_NSECOMM_DERIVATIVES: number;
export let C_V_BSECOMM_SPOT: number;
export let C_V_NSECOMM_SPOT: number;
export let C_V_COMBINED_CASH: number;
export let C_V_COMBINED_FNO: number;
export let C_V_COMBINED_CDS: number;
export let C_V_NSX_DERIVATIVES: number;
export let C_V_NSX_SPOT: number;
export let C_V_BSECDX_DERIVATIVES: number;
export let C_V_BSECDX_SPOT: number;
