export = SocketClient;
declare class SocketClient {
    isConnected: boolean;
    socketState: number;
    eventEmitter: any;
    parser: APIParser;
    IsUncompress: boolean;
    msgCodeKeyToCheck: string;
    initialize: (socketReq: any) => void;
    sendLogin: (reqLogin: any) => void;
    sendTouchlineReq: (reqTL: any) => void;
    sendBestFiveReq: (reqB5: any) => void;
    sendMessage: (_request: any) => void;
    fragmentData: (_requestPacket: any) => ArrayBuffer;
    handleCompressedData: (_rawData: any) => any;
    defragPacket: (data: any) => Uint8Array[];
    getMessageLength: (message: any) => number;
    getUncompressedMessage: (compressedMessage: any) => Uint8Array;
    appendOrCopyBuffer: (buffer1: any, buffer2: any) => Uint8Array;
    parseMessage: (strMessage: any) => any[];
    processPacketString: (_responsePacket: any) => void;
}
import APIParser = require("./request-parser");
